summaryrefslogtreecommitdiffstats
path: root/scripts/zpool-config/supermicro-raid0-1x16.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/zpool-config/supermicro-raid0-1x16.sh')
-rw-r--r--scripts/zpool-config/supermicro-raid0-1x16.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/zpool-config/supermicro-raid0-1x16.sh b/scripts/zpool-config/supermicro-raid0-1x16.sh
new file mode 100644
index 000000000..efe48459d
--- /dev/null
+++ b/scripts/zpool-config/supermicro-raid0-1x16.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+#
+# Supermicro (White Box) Raid-0 Configuration (1x16)
+#
+
+RANKS=4
+CHANNELS=4
+
+zpool_create() {
+ udev_setup ${ETCDIR}/zfs/zdev.conf.supermicro.example
+ udev_raid0_setup ${RANKS} ${CHANNELS}
+
+ msg ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${RAID0S[*]}
+ ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${RAID0S[*]} || exit 1
+}
+
+zpool_destroy() {
+ msg ${ZPOOL} destroy ${ZPOOL_NAME}
+ ${ZPOOL} destroy ${ZPOOL_NAME}
+ udev_cleanup ${ETCDIR}/zfs/zdev.conf.supermicro.example
+}